Gentoo Websites Logo
Go to: Gentoo Home Documentation Forums Lists Bugs Planet Store Wiki Get Gentoo!
Bug 479900 - gnome-base/gnome-applets-3.6 fails to build w/ libgweather-3.8.2 usin g ~arch
Summary: gnome-base/gnome-applets-3.6 fails to build w/ libgweather-3.8.2 usin g ~arch
Status: RESOLVED WONTFIX
Alias: None
Product: Gentoo Linux
Classification: Unclassified
Component: [OLD] GNOME (show other bugs)
Hardware: All Linux
: Normal normal (vote)
Assignee: Gentoo Linux Gnome Desktop Team
URL: http://forums.gentoo.org/viewtopic-t-...
Whiteboard:
Keywords:
Depends on:
Blocks: gnome-3.8
  Show dependency tree
 
Reported: 2013-08-06 06:22 UTC by Carter Young
Modified: 2013-08-10 10:03 UTC (History)
0 users

See Also:
Package list:
Runtime testing required: ---


Attachments
gnome 3 accept keywords (gnome3.accept_keywords,9.20 KB, text/plain)
2013-08-06 06:22 UTC, Carter Young
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Carter Young 2013-08-06 06:22:09 UTC
Created attachment 355216 [details]
gnome 3 accept  keywords

Trying arch build of 3.8...
Followed http://oleeekchoff.blogspot.com/2011/10/gnome-3-on-gentoo.html Failed with some nonsense on resolution of evolution-data-server and  python3 being invalid.

Removed the overlay but kept Panchos list.   Now removing leftover preserved-libs.  Upon trying to remove libgweather-3.6.3, receiving following error:
x86_64-pc-linux-gnu-gcc -DHAVE_CONFIG_H -I. -I.. -I. -I.. -DGWEATHER_MENU_UI_DIR=\""/usr/share/gnome-applets/ui"\" -I/usr/include/dbus-1.0 -I/usr/lib64/dbus-1.0/include -I/usr/include/glib-2.0 -I/usr/lib64/glib-2.0/include  -DORBIT2=1 -pthread -I/usr/include/gnome-panel-4.0/libpanel-applet -I/usr/include/gconf/2 -I/usr/include/orbit-2.0 -I/usr/include/gtk-3.0 -I/usr/include/at-spi2-atk/2.0 -I/usr/include/gtk-3.0 -I/usr/include/gio-unix-2.0/ -I/usr/include/cairo -I/usr/include/pango-1.0 -I/usr/include/harfbuzz -I/usr/include/pango-1.0 -I/usr/include/atk-1.0 -I/usr/include/cairo -I/usr/include/pixman-1 -I/usr/include/freetype2 -I/usr/include/libdrm -I/usr/include/gdk-pixbuf-2.0 -I/usr/include/libpng16 -I/usr/include/glib-2.0 -I/usr/lib64/glib-2.0/include  -I/usr/include/dbus-1.0 -I/usr/lib64/dbus-1.0/include -I/usr/include/glib-2.0 -I/usr/lib64/glib-2.0/include  -pthread -I/usr/include/gdk-pixbuf-2.0 -I/usr/include/libpng16 -I/usr/include/glib-2.0 -I/usr/lib64/glib-2.0/include  -pthread -I/usr/include/libgweather-3.0 -I/usr/include/libsoup-2.4 -I/usr/include/libxml2 -I/usr/include/gtk-3.0 -I/usr/include/at-spi2-atk/2.0 -I/usr/include/gtk-3.0 -I/usr/include/gio-unix-2.0/ -I/usr/include/cairo -I/usr/include/pango-1.0 -I/usr/include/harfbuzz -I/usr/include/pango-1.0 -I/usr/include/atk-1.0 -I/usr/include/cairo -I/usr/include/pixman-1 -I/usr/include/freetype2 -I/usr/include/libdrm -I/usr/include/gdk-pixbuf-2.0 -I/usr/include/libpng16 -I/usr/include/glib-2.0 -I/usr/lib64/glib-2.0/include   -Wall     -march=amdfam10 -O2 -pipe -c gweather-pref.c
gweather-pref.c:32:38: fatal error: libgweather/gweather-xml.h: No such file or directory

eix libgweather:
dev-libs/libgweather
     Available versions:  
	(2)	2.30.3
	(2/3-1)	~3.6.2
	(2/3-3)	~3.8.1 ~3.8.2
	{{+introspection python}}
     Installed versions:  3.8.2(2/3-3)(00:30:26 08/06/13)(introspection)
     Homepage:            https://live.gnome.org/LibGWeather
     Description:         Library to access weather information from online services

eix-gnome-applets:
gnome-base/gnome-applets
     Available versions:  2.32.1.1-r1 2.32.1.1-r2 ~3.6.0-r1 {{+cpufreq gnome gstreamer ipv6 networkmanager policykit python_single_target_python2_6 python_single_target_python2_7 python_targets_python2_6 python_targets_python2_7}}
     Installed versions:  3.6.0-r1(07:21:37 05/29/13)(gnome ipv6 policykit python_single_target_python2_7 python_targets_python2_7 -networkmanager -python_single_target_python2_6 -python_targets_python2_6)
     Homepage:            http://www.gnome.org/
     Description:         Applets for the GNOME Desktop and Panel

The post listd above contans a possible patch, but I've lost my search mojo at 1am to create a local overlay and strip a ubuntu tarball :)
Comment 1 Pacho Ramos gentoo-dev 2013-08-06 08:54:51 UTC
It's known... but gnome-applets shouldn't be required by anything in 3.8 cycle,what is pulling it in your system?
Comment 2 Carter Young 2013-08-06 13:58:22 UTC
(In reply to Pacho Ramos from comment #1)
> It's known... but gnome-applets shouldn't be required by anything in 3.8
> cycle,what is pulling it in your system?

After using the gnome3.accept_keywords, I get the portage warning about --preserved-libs.  My list contains /usr/lib64/libgweather-3.6.3, pulled in by gnome-applets-3.6, since there is no gnome-applets-3.8.  If I don't keyword gnome-applets-3.6, and libgweather-3.8, I get the slot conflict between libsoup-2.40.3 -> libsoup-gnome and libsoup-2.42
Comment 3 Carter Young 2013-08-06 17:54:21 UTC
(In reply to Carter Young from comment #2)
> (In reply to Pacho Ramos from comment #1)
> > It's known... but gnome-applets shouldn't be required by anything in 3.8
> > cycle,what is pulling it in your system?
> 
> After using the gnome3.accept_keywords, I get the portage warning about
> --preserved-libs.  My list contains /usr/lib64/libgweather-3.6.3, pulled in
> by gnome-applets-3.6, since there is no gnome-applets-3.8.  If I don't
> keyword gnome-applets-3.6, and libgweather-3.8, I get the slot conflict
> between libsoup-2.40.3 -> libsoup-gnome and libsoup-2.42

I should add that my upgrade path was GNOME2 -> GNOME 3.6 -> GNOME 3.8
Comment 4 Pacho Ramos gentoo-dev 2013-08-07 09:35:00 UTC
"equery d gnome-applets" should tell you what is still depending on it
Comment 5 Carter Young 2013-08-07 13:18:49 UTC
(In reply to Pacho Ramos from comment #4)
> "equery d gnome-applets" should tell you what is still depending on it

OK, I'll run that tonight, and post the results, after work.
Comment 6 Carter Young 2013-08-08 03:08:03 UTC
(In reply to Carter Young from comment #5)
> (In reply to Pacho Ramos from comment #4)
> > "equery d gnome-applets" should tell you what is still depending on it
> 
> OK, I'll run that tonight, and post the results, after work.

sudo equery d gnome-applets
Password: 
 * These packages depend on gnome-applets:


sudo equery d libgweather
 * These packages depend on libgweather:
gnome-base/gnome-applets-3.6.0-r1 (>=dev-libs/libgweather-3.5)
gnome-base/gnome-panel-3.6.2-r1 (>=dev-libs/libgweather-3.5.1:2)
gnome-extra/evolution-data-server-3.8.4 (weather ? >=dev-libs/libgweather-3.5:2)
mail-client/evolution-3.8.4 (weather ? >=dev-libs/libgweather-3.5.0:2)

sudo eix gnome-base/gnome-applets
[D] gnome-base/gnome-applets
     Available versions:  [m]2.32.1.1-r1 [m]2.32.1.1-r2 ~3.6.0-r1 {{+cpufreq gnome gstreamer ipv6 networkmanager policykit python_single_target_python2_6 python_single_target_python2_7 python_targets_python2_6 python_targets_python2_7}}
     Installed versions:  3.6.0-r1(07:21:37 AM 05/29/2013)(gnome ipv6 policykit python_single_target_python2_7 python_targets_python2_7 -networkmanager -python_single_target_python2_6 -python_targets_python2_6)
     Homepage:            http://www.gnome.org/
     Description:         Applets for the GNOME Desktop and Panel

 sudo eix gnome-base/gnome-panel
[D] gnome-base/gnome-panel
     Available versions:  [m]2.32.1-r3 ~3.6.2 ~3.6.2-r1 {{+bonobo eds +introspection networkmanager}}
     Installed versions:  3.6.2-r1(12:14:48 AM 08/06/2013)(eds introspection -networkmanager)
     Homepage:            http://www.gnome.org/
     Description:         The GNOME panel

sudo eix gnome-extra/evolution-data-server
[D] gnome-extra/evolution-data-server
     Available versions:  
	(0)	[m]2.32.3-r3
	(0/40)	~3.6.4^t ~3.8.4
	{{api-doc-extras gnome-keyring +gnome-online-accounts +gtk +introspection ipv6 kerberos ldap test vala +weather}}
     Installed versions:  3.8.4(0/40)(03:45:44 PM 08/04/2013)(gnome-online-accounts gtk introspection ipv6 ldap vala weather -api-doc-extras -kerberos -test)
     Homepage:            http://projects.gnome.org/evolution/arch.shtml
     Description:         Evolution groupware backend

sudo eix mail-client/evolution
[D] mail-client/evolution
     Available versions:  (2.0) 2.32.3-r1 ~3.6.4 ~3.8.3 ~3.8.4
	{{+bogofilter clutter connman crypt +gnome-online-accounts gstreamer highlight kerberos ldap map networkmanager python spamassassin ssl +weather}}
     Installed versions:  3.8.4(2.0)(09:59:23 PM 08/04/2013)(bogofilter crypt gnome-online-accounts gstreamer ldap ssl weather -highlight -kerberos -map -spamassassin)
     Homepage:            https://live.gnome.org/Evolution http://projects.gnome.org/evolution/
     Description:         Integrated mail, addressbook and calendaring functionality


Package.mask:
#Entries for GNOME that cause  issues for
#Libsoup-2.42
<gnome-base/gnome-menus-3.0.1-r1
<gnome-base/gnome-panel-3.6
<gnome-base/gnome-applets-3.6
<gnome-extra/evolution-data-server-2.33
Comment 7 Pacho Ramos gentoo-dev 2013-08-08 06:16:06 UTC
Then, simply unmerge gnome-applets, it's not needed by anything anymore
Comment 8 Carter Young 2013-08-08 17:53:23 UTC
(In reply to Pacho Ramos from comment #7)
> Then, simply unmerge gnome-applets, it's not needed by anything anymore

Removed... ill clean up the rest tonight only have libpng left...
Comment 9 Gilles Dartiguelongue gentoo-dev 2013-08-10 10:03:46 UTC
Closing wontfix.

As pacho said, gnome-applets are of no use in Gnome 3.8, even in the equivalent of the fallback mode.